//
// FORMATION: Column
//
// For moving ships while not being easily detected (we take up the least
// sensor space, we use a column 3 high of ships
//

//
// include common formation stuff
//
#include "formdef.h"

char formationName[16] = "Column";

// Which formation are we?
int m_formationID = 1;

// In the space of this formation
float m_shipRadius = .4;

FormationSpecElement formationSpec[MAX_FORMATION_SIZE] =
{
//--------------------------------------------------------------------
    0,  0.0,  0.0,   0.0, 'S', 'F', 'D', 'C', 'B', 'X', '?',
    1,  0.0,  0.0,  -1.0, 'S', 'F', 'D', 'C', 'B', 'X', '?',
    2,  0.0,  0.0,   1.0, 'S', 'F', 'D', 'C', 'B', 'X', '?',
    3,  0.0,  0.0,  -2.0, 'S', 'F', 'D', 'C', 'B', 'X', '?',
    4,  0.0,  0.0,   2.0, 'S', 'F', 'D', 'C', 'B', 'X', '?',
    5,  0.0,  0.0,  -3.0, 'S', 'F', 'D', 'C', 'B', 'X', '?',
    6,  0.0,  1.0,   0.0, 'S', 'F', 'D', 'C', 'B', 'X', '?',
    7,  0.0,  1.0,  -1.0, 'S', 'F', 'D', 'C', 'B', 'X', '?',
    8,  0.0,  1.0,   1.0, 'S', 'F', 'D', 'C', 'B', 'X', '?',
    9,  0.0,  1.0,  -2.0, 'S', 'F', 'D', 'C', 'B', 'X', '?',
    10, 0.0,  1.0,   2.0, 'S', 'F', 'D', 'C', 'B', 'X', '?',
    11, 0.0,  1.0,  -3.0, 'S', 'F', 'D', 'C', 'B', 'X', '?',
    12, 0.0, -1.0,   0.0, 'S', 'F', 'D', 'C', 'B', 'X', '?',
    13, 0.0, -1.0,  -1.0, 'S', 'F', 'D', 'C', 'B', 'X', '?',
    14, 0.0, -1.0,   1.0, 'S', 'F', 'D', 'C', 'B', 'X', '?',
    15, 0.0, -1.0,  -2.0, 'S', 'F', 'D', 'C', 'B', 'X', '?',
    16, 0.0, -1.0,   2.0, 'S', 'F', 'D', 'C', 'B', 'X', '?',
    17, 0.0, -1.0,  -3.0, 'S', 'F', 'D', 'C', 'B', 'X', '?',
    18, 0.0,  2.0,   0.0, 'S', 'F', 'D', 'C', 'B', 'X', '?',
    19, 0.0,  2.0,  -1.0, 'S', 'F', 'D', 'C', 'B', 'X', '?',
    20, 0.0,  2.0,   1.0, 'S', 'F', 'D', 'C', 'B', 'X', '?',
    21, 0.0,  2.0,  -2.0, 'S', 'F', 'D', 'C', 'B', 'X', '?',
    22, 0.0,  2.0,   2.0, 'S', 'F', 'D', 'C', 'B', 'X', '?',
    23, 0.0,  2.0,  -3.0, 'S', 'F', 'D', 'C', 'B', 'X', '?',
    24, 0.0, -1.0,   0.0, 'S', 'F', 'D', 'C', 'B', 'X', '?',
    25, 0.0, -1.0,  -1.0, 'S', 'F', 'D', 'C', 'B', 'X', '?',
    26, 0.0, -1.0,   1.0, 'S', 'F', 'D', 'C', 'B', 'X', '?',
    27, 0.0, -1.0,  -2.0, 'S', 'F', 'D', 'C', 'B', 'X', '?',
    28, 0.0, -1.0,   2.0, 'S', 'F', 'D', 'C', 'B', 'X', '?',
    29, 0.0, -1.0,  -3.0, 'S', 'F', 'D', 'C', 'B', 'X', '?',
};


